.\"
.\" Copyright (c) 2003, 2004 Gordon D. Carrie.  All rights reserved.
.\" 
.\" Licensed under the Open Software License version 2.1
.\" 
.\" Please address questions and bug reports to user0@tkgeomap.org.
.\" 
.\" @(#) $Id: shptobin.n,v 1.3 2004/09/22 22:37:16 tkgeomap Exp $
.\"
.TH shptobin n 2 Tcl "Tkgeomap supplementary applications"
.SH NAME
shptobin \- dump contents of a shapefile to a binary stream
.SH VERSION
2
.SH SYNOPSIS
 \fBshptobin\fR [\fB-i\fR \fIindex\fR] [\fB-d\fR \fIdescriptor\fR] [\fB-s\fR] [\fB-b\fR '\fIn e s w\fR'] \fIshapefile\fR
.SH DESCRIPTION
This application dumps the contents of a ESRI shapefile to a binary stream.
It builds on shapelib 1.2, available from
http://gdal.velocet.ca/projects/shapelib/.  It is similar to shapelib's
\fBshpdump\fR, but it sends a binary instead of ascii stream which the 
\fBgeomap::lnarr fmbin\fR command in tkgeomap can read.  Go to
http://tkgeomap.sourceforge.net for more information.
.PP
\fIshapefile\fR identifies the shapefile to read.  It should be comprised of
files \fIshapefile\fB.dbf\fR, \fIshapefile\fB.shp\fR, and
\fIshapefile\fB.shx\fR.
.PP
The following options are recognized:
.TP
\fB-i\fR \fIindex\fR
Specifies the index of desired line.  First line is at index 0.  Default is
to dump entire shapefile.
.TP
\fB-d\fR \fIdescriptor\fR
Optional string placed at start of output stream
.TP
\fB-s\fR
Send all real values as float.  Default is double.
.TP
\fB-b\fR \fI'n e s w'\fR
Bounding region, given as \fIn\fR (north), \fIe\fR (east), \fIs\fR (south), and
\fIw\fR (west).  Lines that have no points in the bounding region are skipped.
.PP
The output stream will have the following format:
.RS
.nf
descriptor length (could be 0)
descriptor string
number of points in the first line
lat lon lat lon ... for first line
number of points in the second line
lat lon lat lon ... for second line
and so on until there are no more lines.
.fi
.RE
Lat's and lon's are sent as doubles unless \fB-s\fR option is present.
.SH AUTHOR
Gordon Carrie tkgeomap@users.sourceforge.net
